<?php

/*
=====================================================================

  프로젝트 이름 : 피리 카페 For 그누보드5.5 순정

  만든사람 : 피리 PIREE ( tosports@naver.com )

  홈페이지 : https://piree.kr/nett_dev

  작업날짜 : 2024년 05월 25일 토요일 오전 0시 18분 / 흐림, 19.8, 서늘함, 22, 16, 28%, 30%, 1.9ms / 양호, 28, 18

  저 작 권 : Copyright ⓒ 2024 피리 piree.kr All right reserved
              그누보드 외에 추가된 소스는~
              만든사람의 허락없이 무단으로 사용할수 없습니다.
              사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
              http://www.piree.kr 에 문의해 주세요.

=====================================================================
 피리 카페 For 그누보드5.5 순정 > 관리자 > 프로그램 > 피리 카페 관리 > 카페 정보 보기 > 정보 새로고침
=====================================================================


*/

  include_once('./_common.php' );

  auth_check_menu($auth, $sub_menu, 'w');

	IF ( !$piree_cafe_n )
	{
	  alert ("[ 카페 ]를 선택해 주세요.");
	}

	IF ( $recommand_choice_n == 1 )
	{
	  $recommand_choice_n = G5_SERVER_TIME;
	}
	ELSE
	{
	  $recommand_choice_n = 0;
	}

	IF ( $popular_choice_n == 1 )
	{
	  $popular_choice_n = G5_SERVER_TIME;
	}
	ELSE
	{
	  $popular_choice_n = 0;
	}

  $get__p770100 = 1;

  $prog_config_page = 0;

  include_once( piree__path($sub_menu, 'config') );

  $sql_select  = "SELECT * FROM `". $piree['cafe'] ."` ";
  $sql_select .= "WHERE `cafe_row_n` = '". $piree_cafe_n ."'";
  $cafe_a = sql_fetch($sql_select);

	IF ( $piree_cafe_n != $cafe_a['cafe_row_n'] )
	{
	  alert ("선택하신 [ 카페 ]의 정보가 없습니다.");
	}



	$sql_update  = "UPDATE `". $piree['cafe'] ."` SET ";
	$sql_update .= "`cafe_recommand_choice_n` = '". $recommand_choice_n ."', ";
	$sql_update .= "`cafe_popular_choice_n`   = '". $popular_choice_n ."' ";
	$sql_update .= "WHERE `cafe_row_n` = '". $piree_cafe_n ."'";

	IF ( !sql_query($sql_update) )
	{

    $sql_alter = "ALTER TABLE `". $piree['cafe'] ."` ADD `cafe_recommand_choice_n` INT(11) NOT NULL DEFAULT '0' AFTER `cafe_image_t`";
    sql_query($sql_alter, false);

    $sql_alter = "ALTER TABLE `". $piree['cafe'] ."` ADD `cafe_popular_choice_n` INT(11) NOT NULL DEFAULT '0' AFTER `cafe_recommand_choice_n`";
    sql_query($sql_alter, false);

    IF ( !sql_query($sql_update) )
    {

			alert ("[ ". $cafe_a['cafe_name_s'] ." ] 카페의\\n\\n정보를 새로고침 하지 못했습니다.");

    }

	}

	$go_url_s = "cafe.list.php?piree_cafe_n=". $piree_cafe_n ."&page=". $page;
	alert("[ ". $cafe_a['cafe_name_s'] ." ] 카페의\\n\\n정보를 새로고침 하였습니다.", $go_url_s, 0);
	goto_url($go_url_s);
	EXIT;

?>